"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Accordion = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Context = require("./Context");
var _accordion = require("@react-native-aria/accordion");
var _utils = require("@react-stately/utils");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const Accordion = StyledAccordion => /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  let {
    type = 'single',
    isCollapsible = true,
    isDisabled = false,
    value,
    defaultValue = [],
    onValueChange,
    children,
    ...props
  } = _ref;
  const [selectedValues, setSelectedValues] = (0, _utils.useControlledState)(value, defaultValue, incomingValue => {
    onValueChange && onValueChange(incomingValue);
  });
  const {
    state
  } = (0, _accordion.useAccordion)({
    type,
    isCollapsible,
    selectedValues,
    setSelectedValues
  });
  const contextValue = (0, _react.useMemo)(() => {
    return {
      state,
      isDisabledAccordion: isDisabled,
      selectedValues
    };
  }, [state, isDisabled, selectedValues]);
  return /*#__PURE__*/_react.default.createElement(_Context.AccordionContext.Provider, {
    value: contextValue
  }, /*#__PURE__*/_react.default.createElement(StyledAccordion, _extends({
    ref: ref
  }, props), children));
});
exports.Accordion = Accordion;
//# sourceMappingURL=Accordion.js.map